# TODO: use gtk4-update-icon-cache
Summary:	GNOME Robots game
Summary(pl.UTF-8):	Gra Robots dla GNOME
Name:		gnome-robots
Version:	41.2
Release:	1
License:	GPL v3+
Group:		X11/Applications/Games
Source0:	https://download.gnome.org/sources/gnome-robots/41/%{name}-%{version}.tar.xz
# Source0-md5:	8ec5ea7ebbf13d5d979a45374c3146f1
# cargo vendor-filterer --platform='*-unknown-linux-*' --tier=2
Source1:	%{name}-%{version}-vendor.tar.xz
# Source1-md5:	a8363d25faeba46f227d474ef6154234
Patch0:		%{name}-x32.patch
Patch1:		%{name}-no-scripts.patch
URL:		https://wiki.gnome.org/Apps/Robots
BuildRequires:	appstream-glib
BuildRequires:	cargo
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.82
BuildRequires:	gtk4-devel >= 4.16.1
BuildRequires:	libadwaita-devel >= 1.6
BuildRequires:	librsvg-devel >= 2.59.2
BuildRequires:	meson >= 0.59
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	python3 >= 1:3
BuildRequires:	rpmbuild(macros) >= 2.042
BuildRequires:	rust
BuildRequires:	tar >= 1:1.22
BuildRequires:	vala
BuildRequires:	vala-librsvg >= 2.59.2
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires(post,postun):	glib2 >= 1:2.82
Requires(post,postun):	gtk-update-icon-cache
Requires:	glib2 >= 1:2.82
Requires:	gtk4 >= 4.16.1
Requires:	hicolor-icon-theme
Requires:	libadwaita >= 1.6
Requires:	librsvg >= 2.59.2
Provides:	gnome-games-gnobots2 = 1:%{version}-%{release}
Obsoletes:	gnome-games-gnobots2 < 1:3.8.0
ExclusiveArch:	%{x8664} %{ix86} x32 aarch64 armv6hl armv7hl armv7hnl
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME Robots is the classic robots game where you have to avoid the
robots and make them crash into each other.

%description -l pl.UTF-8
GNOME Robots to klasyczna gra z robotami, polegająca na unikaniu ich i
powodowaniu, żeby zderzały się ze sobą wzajemnie.

%prep
%setup -q -b1
%ifarch x32
%patch -P0 -p1
%endif
%patch -P1 -p1

# use offline registry
CARGO_HOME="$(pwd)/.cargo"

mkdir -p "$CARGO_HOME"
cat >$CARGO_HOME/config.toml <<EOF
[source.crates-io]
replace-with = 'vendored-sources'

[source.vendored-sources]
directory = '$PWD/vendor'
EOF

%build
%ifarch x32
export PKG_CONFIG_ALLOW_CROSS=1
%endif
%meson

%meson_build

%install
rm -rf $RPM_BUILD_ROOT

%ifarch x32
export PKG_CONFIG_ALLOW_CROSS=1
%endif
%meson_install

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas
%update_icon_cache hicolor

%postun
%glib_compile_schemas
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS README.md
%attr(755,root,root) %{_bindir}/gnome-robots
%{_datadir}/dbus-1/services/org.gnome.Robots.service
%{_datadir}/glib-2.0/schemas/org.gnome.Robots.gschema.xml
%{_datadir}/gnome-robots
%{_datadir}/metainfo/org.gnome.Robots.metainfo.xml
%{_desktopdir}/org.gnome.Robots.desktop
%{_iconsdir}/hicolor/24x24/actions/teleport*.png
%{_iconsdir}/hicolor/scalable/apps/org.gnome.Robots.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.Robots-symbolic.svg
%{_mandir}/man6/gnome-robots.6*
%changelog
* Thu Apr 17 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-robots.git;a=log;h=master

* Thu Apr 17 2025 Jakub Bogusz <qboosh@pld-linux.org> 50bb1cf
- updated dependencies

* Thu Apr 17 2025 Jakub Bogusz <qboosh@pld-linux.org> 959ad9f
- updated to 41.2

* Fri Dec 27 2024 Jakub Bogusz <qboosh@pld-linux.org> 55f8a3a
- handle x32 build

* Fri Dec 27 2024 Jakub Bogusz <qboosh@pld-linux.org> 3c43c9b
- updated to 41.1; now in rust

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 59337f8
- rebuild with separate debuginfo build-ids

* Sat Apr 03 2021 Jakub Bogusz <qboosh@pld-linux.org> ad940d4
- vala BRs

* Sat Apr 03 2021 Jakub Bogusz <qboosh@pld-linux.org> 87dd4b0
- updated to 40.0

* Sun Sep 13 2020 Jakub Bogusz <qboosh@pld-linux.org> f890e62
- updated to 3.38.0

* Thu Apr 16 2020 Jakub Bogusz <qboosh@pld-linux.org> 024413c
- updated to 3.36.1

* Thu Jan 09 2020 Jakub Bogusz <qboosh@pld-linux.org> 15c931e
- updated to 3.34.1

* Tue Nov 12 2019 Jakub Bogusz <qboosh@pld-linux.org> 397a3b1
- updated to 3.34.0

* Wed Mar 21 2018 Jan Rękorajski <baggins@pld-linux.org> 3a60f01
- release 2 (by relup.sh)

* Thu Nov 10 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 6df7470
- Update to 3.22.1

* Mon Sep 19 2016 Marcin Banasiak <marcin.banasiak@gmail.com> e309ce8
- Update to 3.22.0

* Sun May 22 2016 Jakub Bogusz <qboosh@pld-linux.org> b339311
- updated to 3.20.2

* Mon Mar 28 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 83560d7
- Update to 3.20.0.1

* Sat Nov 07 2015 Marcin Banasiak <marcin.banasiak@gmail.com> a2604ab
- Update to 3.18.1

* Sat Oct 24 2015 Jakub Bogusz <qboosh@pld-linux.org> c8429ce
- updated to 3.18.0

* Mon May 18 2015 Jakub Bogusz <qboosh@pld-linux.org> a55cbc8
- updated to 3.16.1

* Sun Feb 01 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 28ede32
- Update to 3.14.2

